[arch-commits] Commit in perl-dbd-sqlite/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Jun 9 05:35:03 EDT 2010


    Date: Wednesday, June 9, 2010 @ 05:35:02
  Author: jgc
Revision: 82194

upgpkg: perl-dbd-sqlite 1.29-2
Rebuild for perl 5.12

Modified:
  perl-dbd-sqlite/trunk/PKGBUILD

----------+
 PKGBUILD |   12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-09 09:22:34 UTC (rev 82193)
+++ PKGBUILD	2010-06-09 09:35:02 UTC (rev 82194)
@@ -5,22 +5,20 @@
 pkgname=perl-dbd-sqlite
 _cpanname=DBD-SQLite
 pkgver=1.29
-pkgrel=1
+pkgrel=2
 pkgdesc="Self-contained RDBMS in a DBI driver"
 arch=('i686' 'x86_64')
 url="http://search.cpan.org/dist/${_cpanname}"
 license=('GPL' 'PerlArtistic')
-depends=('perl-dbi>=1.57' 'sqlite3' 'perl>=5.10.0')
+depends=('perl-dbi>=1.61' 'sqlite3')
 makedepends=('perl-pathtools>=0.82')
 options=('!emptydirs')
-source=(http://www.cpan.org/authors/id/A/AD/ADAMK/${_cpanname}-${pkgver}.tar.gz) 
+source=(http://www.cpan.org/authors/id/A/AD/ADAMK/${_cpanname}-${pkgver}.tar.gz)
 md5sums=('2a47cea6ecff62508775d90151a8030f')
 
 build() {
-  cd ${srcdir}/${_cpanname}-${pkgver}
+  cd "${srcdir}/${_cpanname}-${pkgver}"
   PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1 
   make || return 1
-  make install DESTDIR=$pkgdir || return 1
-  find ${pkgdir} -name '.packlist' -delete
-  find ${pkgdir} -name '*.pod' -delete
+  make install DESTDIR="${pkgdir}" || return 1
 }



More information about the arch-commits mailing list